curl --request POST \
--url https://openplatform.gateapi.io/payment/open/institution/v1/pay/open/sdk \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"prepayid": "50620368071692288",
"package_ext": "ext"
}
'{
"status": "SUCCESS",
"code": "000000",
"errorMessage": "",
"data": {
"prepayid": "50620368071692288"
}
}调起支付组件签名验证接口。
curl --request POST \
--url https://openplatform.gateapi.io/payment/open/institution/v1/pay/open/sdk \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"prepayid": "50620368071692288",
"package_ext": "ext"
}
'{
"status": "SUCCESS",
"code": "000000",
"errorMessage": "",
"data": {
"prepayid": "50620368071692288"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gate.com/llms.txt
Use this file to discover all available pages before exploring further.
POST /payment/open/institution/v1/pay/open/sdk 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。
调起支付组件验证接口
X-GatePay-On-Behalf-Of。商户客户端 ID,在 GatePay 平台申请获取
"4186d0c6-6a35-55a9-8dc6-5312769dbff8"
用于请求校验的 HMAC-SHA256 签名
"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"
毫秒级时间戳,与服务端时间偏差不得超过 5 分钟
"1672905655498"
随机 nonce,用于防止重放攻击
"9578"
必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。